FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 02-13-2012, 05:44 PM
peter green
 
Default Bug#659793: gcc-4.6: ICE on sparc while building audacious

Package: gcc-4.6
Version: 4.6.2-14
Severity: important

Attempting to build the attatched file (preprocessed output from a file that forms part of audacious) with the following command

gcc -fPIC -DPIC -g -O2 -std=gnu99 -pipe -pthread -c -xcpp-output ui_fileopener.preprocessed

produces

root@netra:/audacious-3.2/src/libaudgui# gcc -fPIC -DPIC -g -O2 -std=gnu99 -pipe -pthread -c -xcpp-output ui_fileopener.preprocessed
ui_fileopener.c:200:1: internal compiler error: output_operand: invalid expression as operand
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.
{standard input}: Assembler messages:
{standard input}:6791: Warning: partial line at end of file ignored
Preprocessed source stored into /tmp/ccxHh7Af.out file, please attach this to your bugreport.
root@netra:/audacious-3.2/src/libaudgui#

With the optimisation level reduced to -01 the file builds successfully.

-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.32-5-sparc64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages gcc-4.6 depends on:
ii binutils 2.22-5
ii cpp-4.6 4.6.2-14
ii gcc-4.6-base 4.6.2-14
ii libc6 2.13-26
ii libgcc1 1:4.6.2-14
ii libgmp10 2:5.0.4+dfsg-1
ii libgomp1 4.6.2-14
ii libmpc2 0.9-4
ii libmpfr4 3.1.0-3
ii zlib1g 1:1.2.6.dfsg-1

Versions of packages gcc-4.6 recommends:
ii libc6-dev 2.13-26

Versions of packages gcc-4.6 suggests:
pn binutils-gold <none>
pn gcc-4.6-doc <none>
pn gcc-4.6-locales <none>
pn gcc-4.6-multilib 4.6.2-14
pn libgcc1-dbg <none>
pn libgomp1-dbg <none>
pn libmudflap0-4.6-dev <none>
pn libmudflap0-dbg <none>
pn libquadmath-dbg <none>

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120213184421.24658.29220.reportbug@netra">http://lists.debian.org/20120213184421.24658.29220.reportbug@netra
 
Old 02-28-2012, 07:33 PM
Matthias Klose
 
Default Bug#659793: gcc-4.6: ICE on sparc while building audacious

tags 659793 + moreinfo help
thanks

does it work with 4.5, 4.7 (snapshot)? please forward it upstream after
investigating.


On 13.02.2012 19:44, peter green wrote:

Package: gcc-4.6
Version: 4.6.2-14
Severity: important

Attempting to build the attatched file (preprocessed output from a file that forms part of audacious) with the following command

gcc -fPIC -DPIC -g -O2 -std=gnu99 -pipe -pthread -c -xcpp-output ui_fileopener.preprocessed

produces

root@netra:/audacious-3.2/src/libaudgui# gcc -fPIC -DPIC -g -O2 -std=gnu99 -pipe -pthread -c -xcpp-output ui_fileopener.preprocessed
ui_fileopener.c:200:1: internal compiler error: output_operand: invalid expression as operand
Please submit a full bug report,
with preprocessed source if appropriate.
See<file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.
{standard input}: Assembler messages:
{standard input}:6791: Warning: partial line at end of file ignored
Preprocessed source stored into /tmp/ccxHh7Af.out file, please attach this to your bugreport.
root@netra:/audacious-3.2/src/libaudgui#





--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4F4D3A11.4080302@debian.org">http://lists.debian.org/4F4D3A11.4080302@debian.org
 
Old 02-28-2012, 08:34 PM
peter green
 
Default Bug#659793: gcc-4.6: ICE on sparc while building audacious

forwarded 659793 http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52425
thanks

Matthias Klose wrote:

tags 659793 + moreinfo help
thanks

does it work with 4.5, 4.7 (snapshot)?

Works with both 4.5 and snapshot, only 4.6 seems to suffer the problem.

please forward it upstream after investigating.

Done




--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4F4D485D.6020203@p10link.net">http://lists.debian.org/4F4D485D.6020203@p10link.net
 

Thread Tools




All times are GMT. The time now is 01:48 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org